import React, { useEffect, useState, useRef } from 'react';
import { KeyboardAvoidingView, Platform, SafeAreaView, Keyboard, Image, TouchableOpacity, View, Text, TextInput, StyleSheet, ScrollView, Dimensions } from 'react-native';
import Toast from 'react-native-simple-toast';
const Sandy = props => {
  // const[timer,setTimer] = useState('')
  const otp2 = useRef(null);
  const otp3 = useRef(null);
  const otp4 = useRef(null);
  const otp5 = useRef(null);
  const [modalVisible, setModalVisible] = useState(false);
  const windowHeight = Dimensions.get('window').height;
  const [valotp1, setValOtp1] = useState("");
  const [valotp2, setValOtp2] = useState("");
  const [valotp3, setValOtp3] = useState("");
  const [valotp4, setValOtp4] = useState("");
  const [valotp5, setValOtp5] = useState("");
  useEffect(() => {
    const keyboardDidShowListener = Keyboard.addListener('keyboardDidShow', () => {
      // setKeyboardVisible(true); // or some other action
    });
    const keyboardDidHideListener = Keyboard.addListener('keyboardDidHide', () => {
      // setKeyboardVisible(false); // or some other action
    });
    return () => {
      keyboardDidHideListener.remove();
      keyboardDidShowListener.remove();
    };
  }, []);
  const validPhone = () => {
    if (props.value !== undefined) {
      if (props.value.trim() == '') {
        Toast.showWithGravity('Please enter mobile number', Toast.LONG, Toast.TOP);
      } else if (props.value.toString().length != 10) {
        Toast.showWithGravity('Mobile number is not valid', Toast.LONG, Toast.TOP);
      } else if (isNaN(props.value) == true) {
        Toast.showWithGravity('Mobile number must be number', Toast.LONG, Toast.TOP);
      } else {
        setModalVisible(true);
      }
    } else {
      Toast.showWithGravity('Please input value', Toast.LONG, Toast.TOP);
    }
  };
  const OTPValue = () => {
    let a = valotp1 + valotp2 + valotp3 + valotp4 + valotp5;
    if (a !== undefined) {
      if (a.trim() == '') {
        Toast.showWithGravity('Please enter otp number', Toast.LONG, Toast.TOP);
      } else if (a.toString().length != 5) {
        Toast.showWithGravity('otp number is not valid', Toast.LONG, Toast.TOP);
      } else if (isNaN(a) == true) {
        Toast.showWithGravity('otp number must be number', Toast.LONG, Toast.TOP);
      } else {
        props.onPressOTP;
      }
    } else {
      Toast.showWithGravity('Please input value', Toast.LONG, Toast.TOP);
    }
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(SafeAreaView, {
    style: {
      flex: 1
    }
  }, /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    behavior: Platform.OS == 'android' ? 'height' : 'padding'
  }, /*#__PURE__*/React.createElement(ScrollView, null, /*#__PURE__*/React.createElement(View, {
    style: [{
      height: '100%',
      width: '100%'
      // justifyContent: 'center',
    }, props.MainView]
  }, /*#__PURE__*/React.createElement(View, {
    style: [{
      // height: isKeyboardVisible ? '40%' : '60%',
      width: '95%',
      alignSelf: 'center',
      marginTop: windowHeight > 760 ? 20 : 10
    }, props.ImageViewStyle]
  }, /*#__PURE__*/React.createElement(Image, {
    source: props.source ? props.source : require('./logo.png'),
    style: [{
      height: 50,
      width: 220
    }, props.ImageStyle]
  })), /*#__PURE__*/React.createElement(View, {
    style: [styles.viewa, props.ContainerViewStyle]
  }, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, {
    style: [styles.Logintitle, props.TextStyle, {
      marginTop: windowHeight > 760 ? 40 : 30
    }]
  }, props.Login || 'Login'), /*#__PURE__*/React.createElement(Text, {
    style: [styles.Texttitle, props.TexttitleStyle, {
      marginTop: windowHeight > 760 ? 15 : 10
    }]
  }, props.Texttitle || 'Build your ideas into future ready digital apps'), /*#__PURE__*/React.createElement(Text, {
    style: [styles.RegisterText, props.RegisterTextStyle, {
      color: '#0e0e0e',
      marginTop: windowHeight > 760 ? 40 : 30
    }]
  }, props.RegisterText || "If you don't have an account register, You can ", /*#__PURE__*/React.createElement(Text, {
    onPress: props.RegisterTextClick ? props.RegisterTextClick : () => {},
    style: [styles.RegisterText, props.MainRegisterTextStyle, {
      color: '#4d47c3',
      fontWeight: '600'
    }]
  }, props.MainRegisterText || "Register here!")), /*#__PURE__*/React.createElement(View, {
    style: [styles.inputContainer, props.inputContainerStyle]
  }, modalVisible ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: {
      width: '16%',
      height: 50
    }
  }, /*#__PURE__*/React.createElement(TextInput, {
    maxLength: 1,
    onChangeText: t => {
      setValOtp1(t);
      let a = t + valotp2 + valotp3 + valotp4 + valotp5;
      props.onChangeOTP(a);
      if (t) {
        var _otp2$current;
        otp2 === null || otp2 === void 0 || (_otp2$current = otp2.current) === null || _otp2$current === void 0 || _otp2$current.focus();
      }
    },
    value: valotp1,
    style: [styles.inputOTP, props.InputBoxStyleOTP, {
      width: '100%'
    }],
    returnKeyType: props.returnKeyType || 'done',
    keyboardType: props.keyboardType || 'phone-pad',
    onSubmitEditing: () => {
      var _otp2$current2;
      otp2 === null || otp2 === void 0 || (_otp2$current2 = otp2.current) === null || _otp2$current2 === void 0 || _otp2$current2.focus();
    },
    returnKeyLabel: props.returnKeyLabel || 'default',
    textAlign: 'center'
  })), /*#__PURE__*/React.createElement(TextInput, {
    maxLength: 1,
    onChangeText: t => {
      setValOtp2(t);
      let a = valotp1 + t + valotp3 + valotp4 + valotp5;
      props.onChangeOTP(a);
      if (t) {
        var _otp3$current;
        otp3 === null || otp3 === void 0 || (_otp3$current = otp3.current) === null || _otp3$current === void 0 || _otp3$current.focus();
      }
    },
    value: valotp2,
    ref: otp2,
    style: [styles.inputOTP, props.InputBoxStyleOTP],
    returnKeyType: props.returnKeyType || 'done',
    keyboardType: props.keyboardType || 'phone-pad',
    onSubmitEditing: () => {
      var _otp3$current2;
      otp3 === null || otp3 === void 0 || (_otp3$current2 = otp3.current) === null || _otp3$current2 === void 0 || _otp3$current2.focus();
    },
    returnKeyLabel: props.returnKeyLabel || 'default',
    textAlign: 'center'
  }), /*#__PURE__*/React.createElement(TextInput, {
    maxLength: 1,
    onChangeText: t => {
      setValOtp3(t);
      let a = valotp1 + valotp2 + t + valotp4 + valotp5;
      props.onChangeOTP(a);
      if (t) {
        var _otp4$current;
        otp4 === null || otp4 === void 0 || (_otp4$current = otp4.current) === null || _otp4$current === void 0 || _otp4$current.focus();
      }
    },
    value: valotp3,
    ref: otp3,
    style: [styles.inputOTP, props.InputBoxStyleOTP],
    returnKeyType: props.returnKeyType || 'done',
    keyboardType: props.keyboardType || 'phone-pad',
    onSubmitEditing: () => {
      var _otp4$current2;
      otp4 === null || otp4 === void 0 || (_otp4$current2 = otp4.current) === null || _otp4$current2 === void 0 || _otp4$current2.focus();
    },
    returnKeyLabel: props.returnKeyLabel || 'default',
    textAlign: 'center'
  }), /*#__PURE__*/React.createElement(TextInput, {
    maxLength: 1,
    onChangeText: t => {
      setValOtp4(t);
      let a = valotp1 + valotp2 + valotp3 + t + valotp5;
      props.onChangeOTP(a);
      if (t) {
        var _otp5$current;
        otp5 === null || otp5 === void 0 || (_otp5$current = otp5.current) === null || _otp5$current === void 0 || _otp5$current.focus();
      }
    },
    value: valotp4,
    ref: otp4,
    style: [styles.inputOTP, props.InputBoxStyleOTP],
    returnKeyType: props.returnKeyType || 'done',
    keyboardType: props.keyboardType || 'phone-pad',
    onSubmitEditing: () => {
      var _otp5$current2;
      otp5 === null || otp5 === void 0 || (_otp5$current2 = otp5.current) === null || _otp5$current2 === void 0 || _otp5$current2.focus();
    },
    returnKeyLabel: props.returnKeyLabel || 'default',
    textAlign: 'center'
  }), /*#__PURE__*/React.createElement(TextInput, {
    maxLength: 1,
    onChangeText: t => {
      setValOtp5(t);
      let a = valotp1 + valotp2 + valotp3 + valotp4 + t;
      props.onChangeOTP(a);
    },
    value: valotp5,
    ref: otp5,
    style: [styles.inputOTP, props.InputBoxStyleOTP],
    returnKeyType: props.returnKeyType || 'done',
    keyboardType: props.keyboardType || 'phone-pad',
    onSubmitEditing: props.doneButton,
    returnKeyLabel: props.returnKeyLabel || 'default',
    textAlign: 'center'
  })) : /*#__PURE__*/React.createElement(TextInput, {
    numberOfLines: props.numberOfLines || 1,
    maxLength: props.maxLength || 10,
    onChangeText: props.onChangeText,
    value: props.value,
    style: [styles.input, props.InputBoxStyle],
    returnKeyType: props.returnKeyType || 'done',
    keyboardType: props.keyboardType || 'phone-pad',
    placeholder: props.placeholder || 'Enter mobile number',
    placeholderTextColor: props.placeholderTextColor || '#c4c1ff',
    editable: props.editable || true,
    multiline: props.multiline || false,
    autoCapitalize: props.autoCapitalize || 'none',
    autoFocus: props.autoFocus || false,
    blurOnSubmit: props.blurOnSubmit || false,
    enablesReturnKeyAutomatically: props.enablesReturnKeyAutomatically || false,
    onSubmitEditing: props.doneButton,
    onBlur: props.onBlur,
    onChange: props.onChange,
    onFocus: props.onFocus,
    returnKeyLabel: props.returnKeyLabel || 'default',
    secureTextEntry: props.secureTextEntry || false,
    textAlign: props.textAlign || 'left'
  })), modalVisible ? /*#__PURE__*/React.createElement(Text, {
    onPress: props.ResendButtonClick ? props.ResendButtonClick : () => {},
    style: [props.ResendButtonStyle, {
      color: '#4d47c3',
      fontWeight: '600',
      textAlign: 'right'
    }]
  }, props.resendText || "Resend OTP?") : null, modalVisible ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: () => OTPValue(),
    style: [styles.buttonView, props.ButtonViewStyle, {
      marginTop: windowHeight > 760 ? 50 : 20
    }]
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.buttonText, props.ButtonTextStyle]
  }, props.RequestButtonText || 'Login')) : /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: props.onPress ? props.onPress : () => validPhone(),
    style: [styles.buttonView, props.ButtonViewStyle, {
      marginTop: windowHeight > 760 ? 30 : 20
    }]
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.buttonText, props.ButtonTextStyle]
  }, props.buttonText || 'Request OTP')), /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, {
    style: [styles.title, {
      color: '#b5b5b5',
      fontSize: 15,
      textAlign: 'center',
      marginTop: windowHeight > 760 ? 50 : 30
    }, props.SignupTextStyle]
  }, props.SingupText || 'or continue with'), /*#__PURE__*/React.createElement(View, {
    style: {
      flexDirection: 'row',
      alignItems: 'center',
      width: windowHeight > 760 ? '40%' : '50%',
      alignSelf: 'center',
      justifyContent: 'space-between',
      marginTop: windowHeight > 760 ? 30 : 10
    }
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: props.FbButtonClick
  }, /*#__PURE__*/React.createElement(Image, {
    source: require('./fb.png'),
    style: [{
      height: 30,
      width: 30,
      borderRadius: 20
    }, props.SocialIconStyle]
  })), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: props.AppButtonClick
  }, /*#__PURE__*/React.createElement(Image, {
    source: require('./app.png'),
    style: [{
      height: 30,
      width: 30,
      borderRadius: 20
    }, props.SocialIconStyle]
  })), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: props.GoogleButtonClick
  }, /*#__PURE__*/React.createElement(Image, {
    source: require('./google.png'),
    style: [{
      height: 30,
      width: 30,
      borderRadius: 20
    }, props.SocialIconStyle]
  })))))))))));
};
const styles = StyleSheet.create({
  viewa: {
    alignSelf: 'center',
    width: '90%',
    height: 'auto'
  },
  inputContainer: {
    flexDirection: 'row',
    width: '100%',
    alignItems: 'center',
    marginBottom: 10,
    justifyContent: 'space-between'
    // backgroundColor:'red'
  },

  buttonView: {
    height: 50,
    borderRadius: 10,
    backgroundColor: '#4d47c3',
    justifyContent: 'center',
    // padding: 10,
    shadowColor: '#f0efff',
    shadowOffset: {
      width: 4,
      height: 4
    },
    elevation: 5,
    shadowRadius: 2,
    shadowOpacity: 0.6
  },
  buttonText: {
    textAlign: 'center',
    color: 'white',
    fontSize: 15,
    fontWeight: '800'
  },
  title: {
    fontSize: 25,
    color: 'black',
    marginBottom: 10
  },
  Logintitle: {
    fontSize: 22,
    color: 'black',
    fontWeight: '700',
    marginTop: 30
  },
  Texttitle: {
    fontSize: 17,
    color: 'black',
    opacity: 0.9,
    marginBottom: 10,
    fontWeight: '600',
    marginTop: 10
  },
  RegisterText: {
    fontSize: 14,
    color: 'black',
    marginBottom: 30,
    marginTop: 20
  },
  inputOTP: {
    width: '16%',
    height: 50,
    backgroundColor: '#f0efff',
    padding: 10,
    elevation: 5,
    borderRadius: 10
  },
  input: {
    width: '100%',
    height: 50,
    backgroundColor: '#f0efff',
    paddingLeft: 10,
    padding: 10,
    borderRadius: 10
  }
});
export default Sandy;
//# sourceMappingURL=index.js.map